Fwd: [RFR] [8u] 8217753: Enable HotSpot builds on 5.x Linux kernels

Erik Joelsson erik.joelsson at oracle.com
Thu Mar 14 15:31:01 UTC 2019


Looks good to me.

/Erik

On 2019-03-13 17:27, Andrew John Hughes wrote:
> Forwarding to build-dev for wider review.
>
> -------- Forwarded Message --------
> Subject: [RFR] 8217753: Enable HotSpot builds on 5.x Linux kernels
> Date: Mon, 11 Mar 2019 07:24:48 +0000
> From: Andrew John Hughes <gnu.andrew at redhat.com>
> To: 'jdk8u-dev at openjdk.java.net' <jdk8u-dev at openjdk.java.net>
>
> Bug: https://bugs.openjdk.java.net/browse/JDK-8217753
> Webrev: https://cr.openjdk.java.net/~andrew/openjdk8/8217753/webrev.01/
>
> This is 8u and below only as it's part of the old HotSpot build replaced
> in 9+.
>
> There's a check in make/linux/Makefile to ensure that a 2.4 or later
> kernel is being used. This has been extended by JDK-7072341 to
> accommodate Linux 3.x and JDK-8074312 for 4.x. 5.x is now imminent [0]
> and the build is broken again [1].
>
> Given that 2.4 was released over 18 years ago [2], I think now is the
> time to just get rid of this check rather than bumping it yet again. If
> anyone is really trying to build OpenJDK 8 on a 2.2 kernel, I suspect
> they will encounter other issues than a Makefile check, and it seems far
> more likely that, if we just add a '5%' check, someone is going to build
> with Linux 6.x in a few years and hit this same bug again.
>
> [0] https://lwn.net/Articles/776034/
> [1] https://bugs.gentoo.org/675920
> [2] http://lkml.iu.edu/hypermail/linux/kernel/0101.0/0776.html


More information about the build-dev mailing list